<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{title}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="readonly ion-text-left" *ngIf="getFormValue('ID')">
    <ion-col size="9">
      <ion-label color="medium">Customer</ion-label>
      <p class="c-primary">{{getFormValue('CustomerName')}}</p>
    </ion-col>
    <ion-col size="3">
      <ion-label color="medium">Status</ion-label>
      <p class="c-primary">{{getFormValue('Status') | collectionstatus}}</p>
    </ion-col>
  </ion-row>

  <form [formGroup]="form">
    <ion-item button="true" (click)="selectCustomer()" *ngIf="!getFormValue('ID')">
      <ion-label color="medium">
        <h2>Customer</h2>      
      </ion-label>
      <ion-textarea type="text" formControlName="CustomerName" [readonly]="true" [ngClass]="collection.ID ? 'c-light' : ''"></ion-textarea>       
    </ion-item>
    <ion-item button="true">
      <ion-label color="medium">
        <h2>Date</h2>      
      </ion-label>
      <ion-datetime formControlName="Date" mode="ios" min="2020" max="2030"></ion-datetime>
    </ion-item>
    <ion-item button="true">
        <ion-label color="medium">
          <h2>Ref No</h2>      
        </ion-label>
        <ion-input type="text" formControlName="ReferenceNo"></ion-input>
      </ion-item>
    <ion-item button="true">
      <ion-label color="medium">
        <h2>Payment Method</h2>      
      </ion-label>
      <ion-select formControlName="PaymentType" mode="ios">
        <ion-select-option *ngFor="let payment of paymentMethods" [value]="payment.id">{{payment.name}}</ion-select-option>
      </ion-select>
    </ion-item>    
  </form>
  <div class="totals" *ngIf="getFormValue('CustomerID')">

    <ion-row class="ion-text-center">
      <ion-col size="4">
        <ion-label color="medium">Due</ion-label>
        <p class="c-primary">{{getFormValue('TotalAmountDue') | currency: ' '}}</p>
      </ion-col>
      <ion-col size="4">
        <ion-label color="medium">Payable</ion-label>
        <p class="c-primary">{{getFormValue('TotalAmountPayable') | currency: ' '}}</p>
      </ion-col>
      <ion-col size="4">
        <ion-label color="medium">Paid</ion-label>
        <p class="c-primary">{{getFormValue('TotalAmountPaid') | currency: ' '}}</p>
      </ion-col>
    </ion-row>
  </div>

  <div *ngIf="showDetail">
    <div class="ion-padding">
      <ion-segment [(ngModel)]="detail" mode="ios">
        <ion-segment-button value="invoices" mode="ios">
          <ion-label>Invoices <span *ngIf="invoices">({{invoices.length}})</span></ion-label>
        </ion-segment-button>
        <ion-segment-button value="payments" mode="ios">
          <ion-label>Payments</ion-label>
        </ion-segment-button>
      </ion-segment>  
    </div>
  
    <div *ngIf="detail == 'payments'">
  
      <div *ngIf="isCash">
        <ion-item>
          <ion-label color="medium">
            <h2>Cash</h2>
          </ion-label>
          <ion-input type="number" [(ngModel)]="cashAmount" placeholder="0.00"></ion-input>
        </ion-item>
      </div>
  
      <div *ngIf="isCheque()">
        <ion-item-sliding *ngFor="let cheque of chequePayments; index as $index">      
          <ion-item button="true" (click)="payment(cheque, $index)">
            <ion-label>
              <h2>{{cheque.BankCode}}</h2>
              <p>Check #: {{cheque.CheckNo}}</p>
              <p>Date: {{cheque.DueDate | date:'MMM dd, yyyy'}}</p>          
            </ion-label>
            <p slot="end">{{cheque.Amount | currency: ' '}}</p>
          </ion-item>      
      
          <ion-item-options side="end">
            <ion-item-option color="light" (click)="removePayment($index)">
              <ion-icon name="ios-trash" size="large" color="danger"></ion-icon>
            </ion-item-option>
          </ion-item-options>
          
        </ion-item-sliding>
      </div>
      
      <div *ngIf="isBankTransfer()">
        <ion-item-sliding *ngFor="let bt of bankTransferPayments; index as $index">      
          <ion-item button="true" (click)="payment(bt, $index)">
            <ion-label>
              <h2>{{bt.BankCode}}</h2>
              <p>Ref #: {{bt.ReferenceNo}}</p>
              <p>Date: {{bt.TransferDate | date:'MMM dd, yyyy'}}</p>          
            </ion-label>
            <p slot="end">{{bt.Amount | currency: ' '}}</p>
          </ion-item>      
      
          <ion-item-options side="end">
            <ion-item-option color="light" (click)="removePayment($index)">
              <ion-icon name="ios-trash" size="large" color="danger"></ion-icon>
            </ion-item-option>
          </ion-item-options>
          
        </ion-item-sliding>
      </div>
  
  
      
    </div>
  
    <div *ngIf="detail == 'invoices'">
      
      <p *ngIf="getFormValue('CollectionPlanId')" class="collection-plan ion-text-center">Collection Plan ID: <span class="c-primary">{{getFormValue('CollectionPlanId')}}</span></p>

      <ion-item-sliding *ngFor="let invoice of invoices; index as $index" (click)="invoicePayment(invoice)">      
        <ion-item button="true">          
          <ion-label slot="start">            
            <p>Invoice: {{invoice.InvoiceID}}</p>  
            <p>Date: {{invoice.InvoiceDate | date:'MM/dd/yyyy'}}</p>       
            <p>Terms: {{invoice.PaymentTerms}}</p>
            <p>Overdue: {{invoice.OverdueDays}}</p>
          </ion-label>
          
          <ion-label slot="end" class="amount-labels">
            <p>Tax: {{invoice.Tax | currency: ' '}}</p>
            <p>Amount: {{invoice.Amount | currency: ' '}}</p>
            <p class="c-primary">Paid: {{invoice.AmountPaid | currency: ' '}}</p>
          </ion-label>
        </ion-item>      
    
        <ion-item-options side="end">
          <ion-item-option color="light" (click)="removeInvoice($index)">
            <ion-icon name="ios-trash" size="large" color="danger"></ion-icon>
          </ion-item-option>
        </ion-item-options>      
      </ion-item-sliding>    
    </div>
  </div>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed" *ngIf="showDetail">
    <ion-fab-button (click)="add()" *ngIf="detail == 'invoices' || (detail == 'payments' && !isCash)">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>

<ion-footer class="form">
  <ion-button shape="round" mode="ios" (click)="save()" [disabled]="!form.valid || !invoices.length">Save</ion-button>
</ion-footer>